Bug 880300

Summary: Partition scheme in anaconda "standard" does not seem to work on 4GB USB -This is need in formatting USB sticks for Soas
Product: [Fedora] Fedora Reporter: satellitgo
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: anaconda-maint-list, awilliam, g.kaviyarasu, jonathan, satellitgo, sbueno, stephent98, vanmeeuwen+fedora
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-26 23:03:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 752665    
Attachments:
Description Flags
screenshot showing Manual Partitioning dialog
none
screenshot showing "not enough free space on disks" alert after attempting to auto-create mount points none

Description satellitgo 2012-11-26 16:18:11 UTC
Description of problem:
Partition scheme in anaconda only allows LVM or BTRFs  please allow normal non LVM format also -This is needed to formatting USB sticks for Soas

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
It is very hard to delete and set up only / format for a USB (swap is hard on life of a USB/SD) Also the existing schemes make use of a 4 GB USB impossible.

Comment 1 Adam Williamson 2012-11-26 16:33:57 UTC
eh? I'm not sure what you mean, it's perfectly possible and relatively easy to set up regular partitions both through guided and custom partitioning. Could you explain what problem you're having in more detail?

Comment 2 satellitgo 2012-11-26 18:00:12 UTC
(In reply to comment #1)
> eh? I'm not sure what you mean, it's perfectly possible and relatively easy
> to set up regular partitions both through guided and custom partitioning.
> Could you explain what problem you're having in more detail?

you must format the USB in diskutility with no subdirectories before entering anaconda to set up / as 3.60 GB and install to a 4 GB USB. there is no way to do this in anaconda that I can find in netinstall. If there is a /dev/sdb1 fat directory; install will not proceede. This is the way most USB sticks are purchased.

Comment 3 satellitgo 2012-11-26 18:04:54 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > eh? I'm not sure what you mean, it's perfectly possible and relatively easy
> > to set up regular partitions both through guided and custom partitioning.
> > Could you explain what problem you're having in more detail?
> 
> you must format the USB in diskutility with no subdirectories before
> entering anaconda to set up / as 3.60 GB and install to a 4 GB USB. there is
> no way to do this in anaconda that I can find in netinstall. If there is a
> /dev/sdb1 fat directory; install will not proceede. This is the way most USB
> sticks are purchased.

even though I set / as 3.60 Gb get installer error: You need more space on the following file systems 2,04GB on /   [exit installer]  It is still LVM with swap I think.

Comment 4 David Lehman 2012-11-26 18:22:16 UTC
If you want partitions only and no lvm or btrfs, all you have to do is click the "Partition scheme configuration" expander in the "INSTALLATION OPTIONS" dialog (where you specify whether to use custom or automatic partitioning), then choose "Standard Partition" from the combobox/dropdown menu. Once you've done that, anaconda will not create any lvm or btrfs unless you explicitly tell it to.

Comment 5 satellitgo 2012-11-26 22:19:15 UTC
RC1 x86_64 netinstall anaconda 18.29.2 dialog box only APPEARED to  offer 2 file types as the "standard partition" selection dropped up into a line of text above on my 10" netbook

This still does not work for me. I keep getting Error checking storage configuration (translates as not big enough ?) why does a 700mb live sized DE require larger than 3 Gb to install?

This also happens with minimal install selected

reopening

Comment 6 Steve Tyler 2012-11-26 22:32:39 UTC
Created attachment 652348 [details]
screenshot showing Manual Partitioning dialog

If you don't have enough space on your device for automatic partitioning, you can use Manual Partitioning to create a "/" file system occupying the whole device. I successfully installed SoaS on a 4 GiB VM disc image that way.

NB: The installer should allow you to remove all existing partitions on the USB stick first. (Click "-" in the Manual Partitioning dialog.)

Tested with:
$ qemu-img create f18-test-4.img 4G
$ qemu-kvm -m 2048 -hda f18-test-4.img -cdrom ~/xfr/fedora/F18/F18-Beta/RC1/Fedora-18-Beta-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Comment 7 Steve Tyler 2012-11-26 22:36:28 UTC
(In reply to comment #5)
> ... why does a 700mb live sized
> DE require larger than 3 Gb to install?
...

Could you please post the exact ISO disc image you are attempting to install?

Comment 8 satellitgo 2012-11-26 22:40:46 UTC
I am trying to use netinstall. Not an .iso live. This works for / standard in an 8 GB USB however (Installing now). what is done on size determination to disqualify the 4GB USB? (the size dialog says I need 2.7 and have 3.6 on the 4 GB USB) but fails to allow install with an error msg.

Comment 9 Steve Tyler 2012-11-26 22:53:31 UTC
It sounds like you are describing the severely misleading message already reported in these two bugs:
Bug 876916 - anaconda claims I don't have enough free space when I have 
Bug 876091 - Can not use free space to partition 

Have you tried checking "I don't need help ..." and then clicking "Reclaim space"? That should get you to the Manual Partitioning dialog.

Comment 10 satellitgo 2012-11-26 22:57:29 UTC
yes I have  thanks for your help

Comment 11 David Lehman 2012-11-26 23:00:16 UTC
(In reply to comment #8)
> to disqualify the 4GB USB? (the size dialog says I need 2.7 and have 3.6 on
> the 4 GB USB) but fails to allow install with an error msg.

You also need swap space, which is based on your RAM -- not disk space. Just choose manual partitioning.

Comment 12 David Lehman 2012-11-26 23:03:05 UTC
Is there a requirement somewhere that says anaconda must be able to install the default software set into a 4GB disk? I don't think so. There are cases that automatic partitioning cannot handle, and that is why you also have the option of manual partitioning.

If we do something to make this work for you in 4GB, someone else will just come along and complain that it doesn't work in 2. Not interested in playing this game, but thanks.

Comment 13 Steve Tyler 2012-11-26 23:33:12 UTC
Have you tried clicking "+" from the Manual Partitioning dialog to create a "/" mount point after removing all preexisting partitions by clicking "-"?

Do not use the "Click here to create them automatically." button. That will try to create a swap partition which will consume disk space you don't have.

BTW, I just did a test install of SoaS to a 3 GiB VM disc image and booted it fine with 2048 MB memory and _no swap_.

Tested with:
$ qemu-img create f18-test-4.img 3G
$ qemu-kvm -m 2048 -hda f18-test-4.img -cdrom ~/xfr/fedora/F18/F18-Beta/RC1/Fedora-18-Beta-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Comment 14 Steve Tyler 2012-11-27 04:37:11 UTC
Created attachment 652490 [details]
screenshot showing "not enough free space on disks" alert after attempting to auto-create mount points

In this screenshot, the installer says it cannot auto-create mount points, yet it allowed the user to click the "Click here to create them automatically." button. That button should be insensitive or hidden, or the alert should say exactly why there is not enough space by listing each mount point and the amount of space the installer would allocate to it. An alternative would be to pretend to create the mount points but display them in red, say, so the user could edit them until they fit in the available disk space. When they fit, the color would change to black.

Screenshot is after selecting Standard Partition in Installation Options with:
$ qemu-img create f18-test-4.img 4G
$ qemu-kvm -m 2048 -hda f18-test-4.img -cdrom ~/xfr/fedora/F18/F18-Beta/RC1/Fedora-18-Beta-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Comment 15 Adam Williamson 2012-11-28 09:24:26 UTC
"Is there a requirement somewhere that says anaconda must be able to install the default software set into a 4GB disk? I don't think so."

No, in fact we have no minimum install size requirement at all.

satellit: "why does a 700mb live sized DE require larger than 3 Gb to install?"

the 700MB is heavily compressed and does not reserve space for a /boot partition or a swap partition.

Comment 16 Steve Tyler 2012-11-29 07:52:44 UTC
See also:
Bug 756172 - RFE: Change heuristics so swap partition is not very high for "small" disk VMs 

ISTM, less swap space could be allocated, if there isn't enough disk space for the full amount. There aren't really any rigid constraints on the amount of swap space required, except possibly the amount needed for hibernation. The installer could inform the user that it was shrinking the swap space to fit ...